#modname "Crystaldeep MA"
#description "Adds the Middle Age nation of Crystaldeep. Dwarves, men, and other humanoids have formed an underground empire and learned to use the weird magic of crystals."
#icon "./Crystaldeep/banner.tga"
#version 0.1


--nationslot 79
--weaponslots 646-654
--armourslots 221-226
--unitslots 2320-2329, 2354-2374
--siteslots 790, 791



-------- WEAPONS --------

-- GUNS!

#newweapon 646
#name "Crystal Heat Ray"
#ammo 12
#rcost 5
#armorpiercing
#att 4
#def 0
#dmg 14
#nratt 1
#magic
#nostr
#fire
#flyspr 133 4
#range 30
#twohanded
#sound 16
#end

#newweapon 647
#name "Crystal Death Ray"
#ammo 12
#rcost 6
#armornegating
#att 4
#def 0
#dmg 13
#nratt 1
#magic
#nostr
#flyspr 339 3
#range 40
#twohanded
#secondaryeffect 64
#sound 18
#end

-- GRENADES!

#newweapon 648
#name "Geode Sling"
#ammo 6
#rcost 1
#armorpiercing
#att -2
#def 0
#dmg 20
#aoe 5
#nratt -2
#magic
#nostr
#explspr 10113
#flyspr 111 1
#range 20
#twohanded
#sound 15
#end

-- Dwarven Crossbow

#newweapon 649
#name "Dwarven Crossbow"
#ammo 12
#rcost 3
#armorpiercing
#att 2
#def 0
#dmg 11
#nratt -2
#nostr
#flyspr 109 1
#range 25
#twohanded
#sound 13
#end

-- Mining Axe

#newweapon 650
#name "Mining Axe"
#rcost 3
#dmg 8
#att 1
#def -1
#len 1
#sound 10
#end

-- Mandibles

#newweapon 651
#name "Mandibles"
#rcost 0
#dmg 16
#att 1
#def 0
#len 2
#bonus
#nostr
#secondaryeffect 54
#sound 38
#end

-- Speargun

#newweapon 652
#name "Speargun"
#ammo 2
#rcost 3
#armorpiercing
#att 2
#def 0
#dmg 10
#nratt -2
#nostr
#flyspr 110 1
#range 10
#twohanded
#secondaryeffect 51
#sound 13
#end

-- Mithril Dagger

#newweapon 653
#name "Mithril Dagger"
#rcost 2
#dmg 2
#att 1
#def 0
#len 0
#magic
#armorpiercing
#sound 7
#end

-- Bone Staff

#newweapon 654
#name "Bone Staff"
#rcost 0
#dmg 3
#att 1
#def 3
#len 4
#magic
#twohanded
#secondaryeffect 440
#sound 10
#end

-- Mithril Axe

#newweapon 655
#name "Mithril Axe"
#rcost 5
#dmg 9
#att 1
#def 0
#len 1
#magic
#armorpiercing
#sound 10
#end

-- Mithril Spear

#newweapon 656
#name "Mithril Spear"
#rcost 4
#dmg 4
#att 0
#def 0
#len 5
#magic
#armorpiercing
#sound 12
#end



-------- ARMOUR ---------

#newarmor 221
#name "Bronze Mask"
#type 6
#prot 12
#enc 0
#def -1
#rcost 2
#end

-- Mithril

#newarmor 222
#name "Mithril Cuirass"
#type 5
#prot 15
#enc 0
#def 0
#rcost 20
#end

#newarmor 223
#name "Mithril Hauberk"
#type 5
#prot 18
#enc 0
#def 0
#rcost 25
#end

#newarmor 224
#name "Mithril Plate Armor"
#type 5
#prot 22
#enc 1
#def -1
#rcost 30
#end

#newarmor 225
#name "Mithril Helmet"
#type 6
#prot 22
#enc 0
#def 0
#rcost 7
#end

#newarmor 226
#name "Mithril Cap"
#type 6
#prot 18
#enc 0
#def 0
#rcost 5
#end

#newarmor 227
#name "Mithril Skullcap"
#type 6
#prot 15
#enc 0
#def 0
#rcost 4
#end


-------- UNITS ----------


-- Human Spearman

#newmonster 2320
#copyspr 61
#copystats 1355
#name "Human Spearman"
#descr "The most common human weapon in Crystaldeep is the spear. There are many strange creatures that dwell in the deep caverns of the earth, and sensible human beings want to keep their distance from such creatures. Since humans have the best depth perception among the races of Crystaldeep, they also carry crossbows to deal with opponents from even farther away then the end of a spear."
#hp 10
#size 2
#prot 0
#mor 10
#mr 10
#enc 3
#str 10
#att 10
#def 10
#prec 10
#mapmove 2
#ap 10
#gcost 12
#rcost 1
#armor "Tower Shield"
#armor "Scale Mail Hauberk"
#armor "Iron Cap"
#weapon 1 -- Spear
#weapon 25 -- Crossbow
#maxage 60
#nametype 100
#end


-- Human Longspear

#newmonster 2321
#copyspr 62
#copystats 1355
#name "Human Longspear"
#descr "The most common human weapon in Crystaldeep is the spear. There are many strange creatures that dwell in the deep caverns of the earth, and sensible human beings want to keep their distance from such creatures. Sometimes, if the creature in question is truly bizarre and frightening, a really long spear (and some heavier armor) is desired. The added bulk of this equipment prevents these spearmen from carrying any other weaponry."
#hp 10
#size 2
#prot 0
#mor 10
#mr 10
#enc 3
#str 10
#att 10
#def 10
#prec 10
#mapmove 2
#ap 10
#gcost 11
#rcost 1
#armor "Tower Shield"
#armor "Chain Mail Hauberk"
#armor "Iron Cap"
#weapon 28 -- Long Spear
#maxage 60
#nametype 100
#end

-- Dwarven Axeman

#newmonster 2322
#copystats 1355
#name "Dwarven Axeman"
#descr "The dwarves of Crystaldeep are short, sturdy warriors. Their lack of height is made up for with sheer tenacity. Making fun of a dwarf's stature is likely to cause many sharp pains, followed by a prolonged period of trying to find one's kneecaps. For opponents who are outside of axe-range, most dwarves prefer the brutal efficiency of a well-made crossbow."
#spr1 "./Crystaldeep/dwarven-axeman.tga"
#spr2 "./Crystaldeep/dwarven-axeman-attack.tga"
#hp 12
#size 1
#ressize 2
#prot 0
#mor 10
#mr 12
#enc 3
#str 10
#att 10
#def 10
#prec 9
#mapmove 2
#ap 10
#gcost 12
#rcost 1
#siegebonus 1
#poisonres 50
#armor "Tower Shield"
#armor "Chain Mail Hauberk"
#armor "Iron Cap"
#weapon 650 -- Mining Axe
#weapon 649 -- Dwarven Crossbow
#maxage 250
#nametype 104
#end

-- Dwarven Axeman

#newmonster 2323
#copystats 1355
#name "Dwarven Axeman"
#descr "The dwarves of Crystaldeep are short, sturdy warriors. Their lack of height is made up for with sheer tenacity. Making fun of a dwarf's stature is likely to cause many sharp pains, followed by a prolonged period of trying to find one's kneecaps. Some dwarves trade their crossbows for additional armor."
#spr1 "./Crystaldeep/dwarven-axeman.tga"
#spr2 "./Crystaldeep/dwarven-axeman-attack.tga"
#hp 12
#size 1
#ressize 2
#prot 0
#mor 10
#mr 12
#enc 3
#str 10
#att 10
#def 10
#prec 9
#mapmove 2
#ap 10
#gcost 12
#rcost 1
#siegebonus 1
#poisonres 50
#armor "Tower Shield"
#armor "Plate Hauberk"
#armor "Iron Cap"
#weapon 650 -- Mining Axe
#maxage 250
#nametype 104
#end

-- Urzil Beetle Rider

#newmonster 2324
#copyspr 1450
#copystats 447
#name "Urzil Beetle Rider"
#descr "The Urzil are among the more bizarre inhabitants of Crystaldeep. They are a solitary race who prefer to live in the caverns underneath large surface cities. The Urzil are scavengers, and they don't much care what they eat. The average Urzil is taller and more slender than a human, with bone-white skin and no visible eyes. They sense their surroundings through a combination of scent, hearing, and an innate ability to perceive the 'life essence' around them. The Urzil have domesticated a race of giant scavenging beetles, which they use much like surface-dwellers use horses. Although solitary by nature, the Urzil have integrated somewhat with the rest of Crystaldeep society. When war is at hand, they ride forth on their beetles to engage the foe."
#hp 10
#size 3
#prot 0
#mor 10
#mr 10
#enc 4
#str 9
#att 10
#def 11
#prec 10
#mapmove 2
#ap 20
#gcost 40
#rcost 1
#siegebonus 0
#blind
#neednoteat
#mounted
#secondtmpshape 2325
#poisonres 100
#armor "Buckler"
#armor "Bone Cuirass"
#armor "Bone Helmet"
#weapon 357 -- Light Lance
#weapon 651 -- Mandibles
#maxage 60
#nametype 117
#end


-- Giant Beetle

#newmonster 2325
#copyspr 522
#copystats 447
#name "Giant Beetle"
#descr "The giant scavenging beetles will continue to fight, even after their Urzil riders have been killed."
#hp 30
#size 3
#prot 10
#mor 12
#mr 8
#enc 4
#str 16
#att 12
#def 10
#prec 6
#mapmove 2
#ap 22
#gcost 1
#rcost 1
#siegebonus 0
#blind
#berserk 3
#neednoteat
#poisonres 100
#weapon 651 -- Mandibles
#maxage 30
#nametype 117
#end


-- Cavern Defender

#newmonster 2326
#copystats 1355
#name "Cavern Defender"
#descr "The dwarves of Crystaldeep are short, sturdy warriors. The most promising dwarven warriors are chosen to form an elite corps: the Cavern Defenders. Their job is to stand their ground and shield the ray-throwers and mages from direct attack. In return, the mages of Crystaldeep have implanted energy crystals into the cavern defenders that partially compensates for the weight of their armor. Painful experience with certain underground beasts has inspired the cavern defenders to weld poisoned spikes to the outside of their armor. Coupled with their wicked axes, these spikes tend to make any close combat nasty, brutish, and short -- much like the cavern defenders themselves."
#spr1 "./Crystaldeep/dwarven-axeman.tga"
#spr2 "./Crystaldeep/dwarven-axeman-attack.tga"
#hp 14
#size 1
#ressize 2
#prot 0
#mor 14
#mr 12
#enc 3
#str 12
#att 13
#def 13
#prec 10
#mapmove 1
#ap 10
#gcost 32
#rcost 1
#castledef 3
#siegebonus 1
#poisonarmor
#poisonres 50
#reinvigoration 4
#armor "Tower Shield"
#armor "Full Plate Mail"
#armor "Full Helmet"
#weapon 650 -- Mining Axe
#weapon 649 -- Dwarven Crossbow
#maxage 250
#nametype 104
#end 

-- SEALs

#newmonster 2327
#copyspr 172
#copystats 1355
#name "Aquatic Lizard Warrior"
#descr "One tribe of Crystaldeep lizardmen lives in the underground lakes. They have webbed feet, flat tails, and other adaptations to their watery homes. The most promising warriors from the aquatic lizardmen are chosen for rigorous training. Those warriors who complete the training are implanted with crystals that augment their vestigal gills and make them truly amphibious. A Specially-Equipped Aquatic Lizardman (or S.E.A.L. for short) is an elite commando capable of striking an enemy army's vulnerable supply lines, and then fading away into the water from which he came...."
#hp 13
#size 2
#prot 5
#mor 13
#mr 10
#enc 3
#str 11
#att 13
#def 12
#prec 10
#mapmove 2
#ap 12
#gcost 40
#rcost 1
#poisonres 50
#stealth 0
#amphibian
#coldblood
#armor "Shell Armor"
#armor "Bronze Mask"
#weapon 3 -- Trident
#weapon 652 -- Speargun
#maxage 60
#nametype 113
#end


-- Heat Ray-Thrower

#newmonster 2328
#copyspr 59
#copystats 1355
#name "Heat Ray-Thrower"
#descr "Many years ago, the dwarven smiths of Crystaldeep discovered that certain types of crystals could produce concentrated heat when tapped in a certain way. They used these heat crystals for welding and other such tasks. However, in recent years, the artificers of the Crystal College discovered how to focus the heat through carefully-crafted crystal lenses. The resulting heat rays can be projected over a distance, burn through most armor, and roast the enemies of Crystaldeep. The ray-throwing weapons are costly and difficult to make, so they are only given to the most expert marksmen. These marksmen are then sworn to secrecy about their exotic weaponry to prevent it from falling into enemy hands. Their devotion to service and the oaths they swear make the Ray-Throwers something akin to a religious order, and the other soldiers of Crystaldeep hold them in the highest esteem."
#hp 10
#size 2
#prot 0
#mor 14
#mr 12
#enc 3
#str 10
#att 11
#def 11
#prec 13
#mapmove 2
#ap 10
#gcost 42
#rcost 1
#holy
#armor "Mithril Cuirass"
#armor "Mithril Skullcap"
#weapon 646 -- Crystal Heat Ray
#weapon 653 -- Mithril Dagger
#maxage 60
#nametype 100
#end



-- Death Ray-Thrower

#newmonster 2329
#copyspr 59
#copystats 1355
#name "Death Ray-Thrower"
#descr "Not all crystals are beneficial. In the deepest caverns of Crystaldeep, one can find a certain type of crystal that gives off an evil green glow. The radiation of these crystals is deadly to most living beings. Seeing the potential of such killing power, the artificers of the Crystal College discovered how to focus the deadly radiation through carefully-crafted crystal lenses. The resulting death rays can be projected great distances to strike down the enemies of Crystaldeep. The ray-throwing weapons are costly and difficult to make, so they are only given to the most expert marksmen. These marksmen are then sworn to secrecy about their exotic weaponry to prevent it from falling into enemy hands. Their devotion to service and the oaths they swear make the Ray-Throwers something akin to a religious order, and the other soldiers of Crystaldeep hold them in the highest esteem."
#hp 10
#size 2
#prot 0
#mor 14
#mr 12
#enc 3
#str 10
#att 11
#def 11
#prec 13
#mapmove 2
#ap 10
#gcost 42
#rcost 1
#holy
#armor "Mithril Cuirass"
#armor "Mithril Skullcap"
#weapon 647 -- Crystal Death Ray
#weapon 653 -- Mithril Dagger
#maxage 60
#nametype 100
#end




------- COMMANDERS


-- Tunnel Scout

#newmonster 2354
#copystats 1445
#name "Tunnel Scout"
#descr "The caverns and tunnels of Crystaldeep range very far indeed. Some people believe that they encompass the entire earth. Since the most-remote tunnels often lead to the unexplored treasures, an enterprising and courageous dwarf will often volunteer for scouting duty. If he happens to find a rich deposit, his entire clan will reap the benefits. Of course, the most-remote tunnels are also home to a number of terrifying and deadly beasts, so the tunnel scouts are always careful to travel unseen."
#spr1 "./Crystaldeep/dwarven-axeman.tga"
#spr2 "./Crystaldeep/dwarven-axeman-attack.tga"
#hp 12
#size 1
#ressize 2
#prot 0
#mor 10
#mr 12
#enc 3
#str 10
#att 10
#def 10
#prec 9
#mapmove 2
#ap 10
#gcost 24
#rcost 1
#siegebonus 1
#poisonres 50
#armor "Buckler"
#armor "Full Leather Armor"
#armor "Iron Cap"
#weapon 650 -- Mining Axe
#weapon 649 -- Dwarven Crossbow
#stealthy 5
#noleader
#maxage 250
#nametype 104
#end 


-- Dwarven War Leader

#newmonster 2355
#copystats 1445
#name "Dwarven War Leader"
#descr "Dwarves don't really go in for ranks and other military hierarchy. Nonetheless, when war threatens, someone has to lead the troops. At such times, a dwarf with above-average charisma (and chutzpah) will often step forward to lead his fellows. If he is a good leader, he'll be allowed to continue leading them. Successful dwarven war leaders have the full confidence of their troops ... for as long as they continue being successful."
#spr1 "./Crystaldeep/dwarven-axeman.tga"
#spr2 "./Crystaldeep/dwarven-axeman-attack.tga"
#hp 12
#size 1
#ressize 2
#prot 0
#mor 12
#mr 12
#enc 3
#str 12
#att 13
#def 13
#prec 10
#mapmove 2
#ap 10
#gcost 36
#rcost 1
#siegebonus 1
#poisonres 50
#armor "Tower Shield"
#armor "Chain Mail Hauberk"
#armor "Iron Cap"
#weapon 650 -- Mining Axe
#weapon 649 -- Dwarven Crossbow
#okleader
#nomagicleader
#noundeadleader
#maxage 250
#nametype 104
#end

-- Human Captain

#newmonster 2356
#copyspr 35
#copystats 1445
#name "Human Captain"
#descr "The humans of Crystaldeep are a little more organized than their dwarven brethren in matters of war. Human captains receive special training in strategy and tactics to help them lead the troops. Military leadership is not decided on an ad-hoc basis. While this makes for a more efficient and disciplined command structure, it also means that the human captains are often less skilled in combat than their dwarven counterparts."
#hp 10
#size 1
#prot 0
#mor 12
#mr 10
#enc 3
#str 10
#att 11
#def 11
#prec 11
#mapmove 2
#ap 10
#gcost 32
#rcost 1
#armor "Tower Shield"
#armor "Chain Mail Hauberk"
#armor "Iron Cap"
#weapon 8 -- Broad Sword
#weapon 25 -- Crossbow
#standard 10
#goodleader
#nomagicleader
#noundeadleader
#maxage 60
#nametype 100
#end


-- SEAL Lieutenant

#newmonster 2357
#copyspr 163
#copystats 1445
#name "Aquatic Lizard Commander"
#descr "One tribe of Crystaldeep lizardmen lives in the underground lakes. They have webbed feet, flat tails, and other adaptations to their watery homes. The most promising warriors from the aquatic lizardmen are chosen for rigorous training. Those warriors who complete the training are implanted with crystals that augment their vestigal gills and make them truly amphibious. A Specially-Equipped Aquatic Lizardman (or S.E.A.L. for short) is an elite commando capable of striking an enemy army's vulnerable supply lines, and then fading away into the water from which he came. Only the best of the best are chosen to lead them."
#hp 14
#size 2
#prot 5
#mor 14
#mr 10
#enc 3
#str 12
#att 13
#def 13
#prec 12
#mapmove 2
#ap 12
#gcost 90
#rcost 1
#poisonres 50
#stealth 0
#amphibian
#coldblood
#armor "Shell Armor"
#armor "Bronze Mask"
#weapon 3 -- Trident
#weapon 652 -- Speargun
#okleader
#nomagicleader
#noundeadleader
#maxage 60
#nametype 113
#end

-- Priest

#newmonster 2358
#copyspr 240
#copystats 1445
#name "Priest"
#descr "Crystaldeep is not a very religious place. The hard-headed skepticism of the dwarves has set the example, and most of Crystaldeep has little concept of spiritual matters. However, the awakening God has brought about a certain revival, and some humans are willing to dedicate their lives to serve the Divine."
#hp 10
#size 2
#prot 0
#mor 11
#mr 10
#enc 3
#str 9
#att 9
#def 9
#prec 10
#mapmove 2
#ap 10
#gcost 40
#rcost 1
#clearmagic
#holy
#magicskill 8 1
#armor "Robes"
#weapon 7 -- Quarterstaff
#poorleader
#nomagicleader
#okundeadleader
#maxage 60
#nametype 100
#end

-- Urzil Shaman

#newmonster 2359
#copyspr 554
#copystats 1445
#name "Urzil Shaman"
#descr "The Urzil are among the more bizarre inhabitants of Crystaldeep. They are a solitary race who prefer to live in the caverns underneath large surface cities. The Urzil are scavengers, and they don't much care what they eat. The average Urzil is taller and more slender than a human, with bone-white skin and no visible eyes. They sense their surroundings through a combination of scent, hearing, and an innate ability to perceive the 'life essence' around them. Unlike the humans and the dwarves, the Urzil still cling to an old faith of spirits and shades. Urzil shamans adorn themselves with bone fetishes to enhance their mystical powers and inspire fear in others."
#hp 10
#size 2
#prot 0
#mor 11
#mr 12
#enc 3
#str 9
#att 10
#def 11
#prec 10
#mapmove 2
#ap 10
#gcost 120
#rcost 1
#clearmagic
#holy
#magicskill 5 1
#magicskill 8 1
#custommagic 4096 20
#fear 0
#blind
#neednoteat
#armor "Bone Cuirass"
#weapon 654 -- Bone Staff
#poorleader
#nomagicleader
#noundeadleader
#startage 50
#maxage 60
#nametype 117
#end


-- Dwarven Smith

#newmonster 2360
#copyspr 323
#copystats 323
#name "Dwarven Smith"
#descr "The dwarves of Crystaldeep are famous for their skills in the forge. In the depths of the earth, one can find living ores and gems whose potency is far superior to the 'dead' elements that the surface-dwellers use. Dwarven smiths use these materials to craft a range of wonderful items, including mithril armor and the deadly ray-throwers. The smiths have the typical dwarven resistance to religion. It's not that dwarves don't believe in gods. In fact, the dwarves know perfectly well that gods exist ... they just don't want to be bothered."
#hp 12
#size 1
#ressize 2
#prot 0
#mor 12
#mr 15
#enc 3
#str 13
#att 10
#def 10
#prec 10
#mapmove 2
#ap 8
#gcost 200
#rcost 1
#siegebonus 1
#poisonres 50
#armor "Mithril Cuirass"
#armor "Mithril Skullcap"
#weapon 13 -- Hammer
#clearmagic
#magicskill 3 3
#custommagic 2176 100
#custommagic 2176 100
#forgebonus 20
#poorleader
#poormagicleader
#noundeadleader
#startage 150
#maxage 250
#nametype 104
#end


-- Crystal Mage

#newmonster 2361
#copyspr 340
#copystats 1445
#name "Crystal Mage"
#descr "Crystal magic is what unites the loose confederation of Crystaldeep. Crystals can heal the injured, forecast the future, and project a wide range of mystical energies. The mages of the Crystal College have dedicated their lives to studying the wondrous properties of crystal magic. They are versatile and skilled mages, and they are an integral part of Crystaldeep society."
#hp 10
#size 2
#prot 0
#mor 12
#mr 15
#enc 3
#str 9
#att 9
#def 9
#prec 10
#mapmove 2
#ap 10
#gcost 200
#healer 20
#armor "Robes"
#weapon 7 -- Quarterstaff
#clearmagic
#magicskill 3 2
#magicskill 4 2
#startage 70
#maxage 100
#poorleader
#okmagicleader
#noundeadleader
#nametype 106
#end

-- Crystal Adept

#newmonster 2362
#copyspr 340
#copystats 1445
#name "Crystal Adept"
#descr "Crystal magic is what unites the loose confederation of Crystaldeep. Crystals can heal the injured, forecast the future, and project a wide range of mystical energies. The mages of the Crystal College have dedicated their lives to studying the wondrous properties of crystal magic. They are versatile and skilled mages, and they are an integral part of Crystaldeep society. Only the most-skilled of the Crystal Mages are allowed to call themselves Adepts. The Crystal Adepts wield an enormous influence over Crystaldeep, and they only rarely venture outside of the Crystal College."
#hp 10
#size 2
#prot 0
#mor 13
#mr 16
#enc 3
#str 9
#att 9
#def 9
#prec 10
#mapmove 2
#ap 10
#nobadevents 25
#gcost 300
#armor "Robes"
#weapon 7 -- Quarterstaff
#clearmagic
#magicskill 3 2
#magicskill 4 2
#custommagic 3072 100
#custommagic 1920 100
#custommagic 1920 20
#startage 80
#maxage 150
#poorleader
#okmagicleader
#noundeadleader
#nametype 106
#end



---- HEROES


-- some hero

#newmonster 2364
#name "some hero"
#descr "some hero"
#end


------- SUMMONED CRITTERS


-- Mithril Longspear

#newmonster 2340
#copyspr 62
#copystats 1355
#name "Mithril Longspear"
#descr "The smiths of Crystaldeep have outfitted this spearman with mithril armor and a mithril-tipped spear. Mithril is extremely strong, nearly weightless, and imbued with the primal magic of the earth."
#hp 10
#size 2
#prot 0
#mor 12
#mr 11
#enc 3
#str 10
#att 11
#def 11
#prec 10
#mapmove 2
#ap 10
#gcost 20
#rcost 1
#armor "Tower Shield"
#armor "Mithril Hauberk"
#armor "Mithril Cap"
#weapon 656 -- Mithril Spear
#maxage 60
#nametype 100
#end

-- Geode Slinger

#newmonster 2341
#copyspr 50
#copystats 1355
#name "Geode Slinger"
#descr "In most armies, slingers are a cheap and unreliable missile troop. That's because their slings hurl ordinary rocks. In Crystaldeep, the rocks are FAR from ordinary. This slinger has been equipped with specially-charged geodes that explode upon impact. Like most slingers, he isn't all that accurate ... but he only has to come close."
#hp 10
#size 2
#prot 0
#mor 10
#mr 10
#enc 3
#str 10
#att 10
#def 10
#prec 10
#mapmove 2
#ap 10
#gcost 20
#rcost 1
#armor "Scale Mail Hauberk"
#armor "Iron Cap"
#weapon 648 -- Geode Sling
#weapon 6 -- Short Sword
#maxage 60
#nametype 100
#end

-- Mithril Defender

#newmonster 2342
#copystats 1355
#name "Mithril Defender"
#descr "This cavern defender has been equipped with mithril armor and weapons, making him even more effective in combat. He stands tall (metaphorically) to defend Crystaldeep against all of its enemies."
#spr1 "./Crystaldeep/dwarven-axeman.tga"
#spr2 "./Crystaldeep/dwarven-axeman-attack.tga"
#hp 14
#size 1
#ressize 2
#prot 0
#mor 14
#mr 13
#enc 3
#str 12
#att 14
#def 14
#prec 10
#mapmove 1
#ap 10
#gcost 40
#rcost 1
#castledef 3
#siegebonus 1
#poisonarmor
#poisonres 50
#reinvigoration 4
#armor "Tower Shield"
#armor "Mithril Plate Armor"
#armor "Mithril Helmet"
#weapon 655 -- Mithril Axe
#weapon 649 -- Dwarven Crossbow
#maxage 250
#nametype 104
#end 

#newmonster 2343
#copyspr 857
#name "Crystal Mind"
#descr "One of the most important secrets to be unearthed by the Crystal College is that the earth itself is alive. The living earth is not just a fairy tale for children or a religious myth, but actual fact. The only reason that this fact is not more widely-known is that the minerals, ores, and gems that can be found near the surface are, in fact, dead. The living minerals can only be found deep within the earth. When a sufficient quantity of living crystals are brought together -- along with certain secret incantations and rituals -- they form an artifical intelligence. The construct is referred to as an Intelligent Being of Minerals - Painstakingly Constructed, or IBM-PC for short. It is fragile, but protected by a sturdy metal casing. The construct can harness the magic of the spheres and is especially good at magical research."
#hp 10
#size 4
#prot 16
#mor 50
#mr 18
#enc 0
#str 0
#att 0
#def 0
#prec 12
#mapmove 0
#ap 2
#magicskill 4 4
#blind
#gemprod 4 1
#immobile
#lifeless
#magicbeing
#neednoteat
#noheal
#noitem
#poisonres 100
#reinvigoration 5
#researchbonus 6
#startage 1
#maxage 1000
#noleader
#okmagicleader
#noundeadleader
#nametype 106
#end


----------- PRETENDERS

#newmonster 2367
#copyspr 323
#name "Crystal Oracle"
#descr "In the deepest caverns of the earth, there exists a massive collection of magical crystals. Over the eons, these crystals have collected the raw magic of the cosmos. Eventually, the accumulated magic reached a sort of critical mass, and the crystals attained sentience. Eventually, they were discovered by a dwarven tunnel scout who was looking for a new vein. The crystalline entity possessed the hapless dwarf and used his body to enter Crystaldeep. It found the Crystal College and proclaimed itself to be the Crystal Oracle -- the true embodiment of the crystal magic that the College exists to study. The power of the Crystal Oracle grants near-immortality to its host body. If the host is somehow killed, the Crystal Oracle will simply possess a new body and continue its work."
#hp 20
#size 1
#prot 0
#mor 30
#mr 18
#enc 0
#str 12
#att 10
#def 10
#prec 12
#poisonres 100
#mapmove 2
#ap 12
#gcost 50
#rcost 1
#weapon 13 -- Hammer
#weapon 197 -- Gaze of Death
#goodleader
#okmagicleader
#noundeadleader
#itemslots 15494
#immortal
#regeneration 50
#maxage 9000
#startdom 2
#pathcost 20
#magicskill 3 1
#magicskill 4 1
#restrictedgod 79
#end

----------- Added stock pretenders


--- Forge Lord

#newmonster 2370
#copystats 1230
#copyspr 1230
#restrictedgod 79
#end


--------------------------------------




-------- SPELLS ----------

#newspell
#name "Mithril Spearmen"
#descr "The smith uses his improved knowledge of magical forging techniques to outfit a group of human spearmen with mithril armor and weapons. More skilled smiths will be able to forge more equipment, and therefore equip more troops."
#school 3
#restricted 79
#researchlevel 2
#path 0 3
#pathlevel 0 2
#fatiguecost 400
#effect 10001
#damage 2340
#nreff 1004
#end

#newspell
#name "Equip Geode Slingers"
#descr "The smith imbues certain rare geodes with magical force. These charged geodes are used as ammunition by specially-trained slingers. When the geodes strike their targets, they explode with tremendous force."
#school 3
#restricted 79
#researchlevel 2
#path 0 3
#pathlevel 0 1
#path 1 0
#pathlevel 1 1
#fatiguecost 400
#effect 10001
#damage 2341
#nreff 4
#end

#newspell
#name "Mithril Defenders"
#descr "The smith uses his advanced knowledge of magical forging techniques to outfit a group of Cavern Defenders with mithril armor and weapons. More skilled smiths will be able to forge more equipment, and therefore equip more troops."
#school 3
#restricted 79
#researchlevel 4
#path 0 3
#pathlevel 0 3
#fatiguecost 800
#effect 10001
#damage 2342
#nreff 1004
#end

#newspell
#name "Construct Crystal Mind"
#descr "The Crystal Mage constructs an intricate matrix of rare magical crystals and then uses certain enchantments to awaken their deep magic. The crystalline matrix attains a form of sentience and is capable of harnessing the magic of the spheres."
#school 3
#restricted 79
#researchlevel 6
#path 0 4
#pathlevel 0 4
#path 1 3
#pathlevel 1 4
#fatiguecost 2000
#effect 10021
#damage 2343
#nreff 1
#end



-------- SITES -----------

#newsite 790
#name "The Crystal College"
#path 4
#level 0
#rarity 5
#gems 4 2
#homecom 2362 -- Crystal Adept
#homemon 2328 -- Heat Ray-Thrower
#homemon 2329 -- Death Ray-Thrower
#end

#newsite 791
#name "Crystaldeep Mines"
#path 3
#level 0
#rarity 5
#gems 0 1
#gems 3 2
#end


-------- NAMEPOOLS -------


-------- NATIONS ---------

#selectnation 79
#clearnation
#clearrec
#name "Crystaldeep"
#epithet "Crystal Magic Underground"
#era 2
#idealcold -1
#brief "Crystaldeep is a loose confederation of dwarves, humans, and other beings who live deep underneath the earth. They have learned the secrets of crystal magic."
#descr "Deep underneath the earth, there exists a network of caves and caverns. You think that iron mine is deep? It's merely a scratch on the surface. Most surface-dwellers will never see a glimpse of the Underdeep. The dwarves live down here, along with other beings, some of which are quite bizarre by surface standards. Living in the heart of the earth, they have learned to harness the deep and primal magics that are present in crystals and various ores. This magic has been integrated into every part of the deep dwellers' lives, such that the Underdeep is now known as Crystaldeep.
A thousand years ago, a tribe of exiled humans blundered into Crystaldeep. After some initial tension, they were quickly accepted into the underground society. Now, the deep dwellers are returning to the surface and seeking to spread their knowledge of crystal magic to all peoples ... by force, if necessary."
#summary "Races: Dwarves, Humans, and other humanoids.
Military: Standard infantry, supported by specialized cave-fighters and elite units that use bizarre crystal-powered weaponry.
Magic: Astral and earth, with some access to other spheres. Crystal healers. Skilled crafters and forgers.
Priests: Weak."
#flag "./Crystaldeep/flag.tga"
#templepic 17
#color 0.0 0.5 0.1


---- RECRUITS

#addrecunit 2320
#addrecunit 2321
#addrecunit 2322
#addrecunit 2323
#addrecunit 2324
#addrecunit 2326
#addrecunit 2327

---- LEADERS

#addreccom 2354
#addreccom 2355
#addreccom 2356
#addreccom 2357
#addreccom 2358
#addreccom 2359
#addreccom 2360
#addreccom 2361


----- HEROES

-- hero1 2364

----- STARTSITES

#startsite "The Crystal College
#startsite "Crystaldeep Mines"
#startsite "The Steel Ovens"


----- FORTS

#startfort 24
#swampfort 11
#farmfort 3
#forestfort 34
#mountainfort 42
#defaultfort 3


------- PROVINCE DEFENCE

--Sets the units to be used in province defense.

#defcom1 2356
#defcom2 2361
#defunit1 2320
#defunit1b 2322
#defunit2 2321
#defunit2 2323


--Sets how many of the units to appear per 10 points.

#defmult1 12
#defmult1b 12
#defmult2 8
#defmult2b 8



------- STARTING UNITS

#startcom 2355
#startscout 2354
#startunittype1 2320
#startunitnbrs1 8
#startunittype2 2322
#startunitnbrs2 8
#end
